
QGIS Application - Bug report #19817

[Processing] The [optional] tag is not displayed for string parameters

2018-09-11 02:31 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Processing/GUI

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27641

Description

When filling the "Join attributes by field value" algorithm dialog, you can ignore the "Join field prefix", in which case redundant fields are

automatically suffixed. I think that this parameter should then appear as optional in the GUI.

I guess it should be the same for the other "join attributes" algorithms

Associated revisions

Revision 8790c4c9 - 2018-09-17 01:43 AM - Nyall Dawson

[processing] Fix missing [optional] text in string parameter label

Fixes #19817

History

#1 - 2018-09-11 06:40 AM - Nyall Dawson

Agreed! Will you make a PR?

#2 - 2018-09-11 12:18 PM - Harrissou Santanna

From what I can see, the "optional" argument seems already set for the parameter. See:

https://github.com/qgis/QGIS/blob/0d200623b1944c66fdfb7f6f303adbc6c20fcc2e/src/analysis/processing/qgsalgorithmjoinbyattribute.cpp#L76 or 

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/SpatialJoin.py#L124

Looks like the issue is elsewhere and this is beyond my skills...

#3 - 2018-09-12 12:27 PM - Harrissou Santanna

I think this is a more general issue as some string parameters we described as Optional in the docs no longer appear as such in the application though still

coded as optional.

#4 - 2018-09-12 01:16 PM - Harrissou Santanna

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Subject changed from "Join field prefix" in the "Join attributes by field value" should be optional (?) to [Processing] The [optional] tag is not displayed 

for string parameters
https://github.com/qgis/QGIS/blob/0d200623b1944c66fdfb7f6f303adbc6c20fcc2e/src/analysis/processing/qgsalgorithmjoinbyattribute.cpp#L76
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/SpatialJoin.py#L124
https://docs.qgis.org/testing/en/docs/user_manual/processing_algs/qgis/vectorgeneral#execute-sql
https://github.com/qgis/QGIS/blob/b3d2619976a69d7fb67b884492da491dfaba287c/python/plugins/processing/algs/qgis/ExecuteSQL.py#L93


Found many other examples. Flags it as a regression.

#5 - 2018-09-17 01:00 AM - Nyall Dawson

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/7918

#6 - 2018-09-17 01:42 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8790c4c99e0213fb7eed842b3467c8ad34450f18.
